/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a252b2cb72531cb00ecd4d4db37a5a473",
"IOStream_8cc.html",
"LogTools_8h.html#a382aa03e51aa47e0c8d560fe03723269",
"MetaLinkParser_8cc_source.html",
"PluginServices_8cc.html",
"RepoException_8cc.html#aa4251e03846303f80e4a65eb61f6a93f",
"RpmDb_8cc.html#a9c342ee07758e7fe0bdb024df1884b63",
"SrcPackage_8cc.html#affe162fe15983ad33d3af6caf2742634",
"TargetImpl_8cc.html#aecd0329fa2bb775b904fe6ebc6393b1b",
"ZConfig_8cc.html",
"classzypp_1_1ByteCount.html#a6ecd3ab3b5d597c8d512de6e0c0307ca",
"classzypp_1_1CheckSum.html#aaa66a128eb2b895e2de96384bbb03acf",
"classzypp_1_1Digest.html#a9420fedd446c8067037aae0ede9a7b25",
"classzypp_1_1HistoryLog.html#a560d6d0289f7104d37890479f3d2232e",
"classzypp_1_1InputStream.html#a860ea2cf5575915464967546527ba105",
"classzypp_1_1Match.html#ac2c67e7610106e7044b131226c7bff6e",
"classzypp_1_1PluginExecutor_1_1Impl.html#a43a8563fcd2616db84e1f9dcc71b9c68",
"classzypp_1_1PoolQueryResult.html",
"classzypp_1_1PublicKeyData.html#af28b61c4a5d8237d37d182e4427a5aca",
"classzypp_1_1Repository.html#a698e4ad4a4a3cad6bbee27dfe9a29c4a",
"classzypp_1_1ResStatus.html#a0f1c7849efdeedb5b1f885bce19bdfca",
"classzypp_1_1ResolverProblem.html#a78a07b09b7e3befa38d12704d1022f68",
"classzypp_1_1Url.html#a58421b25fb9bc08c8ed028f9da8030a0",
"classzypp_1_1ZConfig_1_1Impl.html#a9298912f6fbdb660961f90b695e8d19a",
"classzypp_1_1base_1_1Flags.html#a74c620466e1e8ef38e5411e80f7ba5cc",
"classzypp_1_1detail_1_1SimpleStreamBuf.html#a9dd70e8e96a22d49892e651f3ecc97e0",
"classzypp_1_1filesystem_1_1StatMode.html#a40dc46327b6e5ab3299a4d26a5d51a9c",
"classzypp_1_1media_1_1MediaBadAttachPointException.html#a352a872a1b0200dd6eb8ea804c2531c1",
"classzypp_1_1media_1_1MediaHandler.html#a50a968ccf5562d690da8ef2014e34a9a",
"classzypp_1_1media_1_1MediaTemporaryProblemException.html#ae4250916c299c578d65447ee8c1f259d",
"classzypp_1_1media_1_1multifetchworker.html#a33982ea45cd956f47a95aa9616aeee4a",
"classzypp_1_1parser_1_1ServiceFileReader_1_1Impl.html",
"classzypp_1_1repo_1_1RepoNotCachedException.html#aaccdd987b2448e328962af3e713b6901",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#a6dd06ff6ada56c2decf557b579b4468a",
"classzypp_1_1sat_1_1SolvAttr.html#ace4c8c32c313eb36c57eba6e7f120a74",
"classzypp_1_1sat_1_1Transaction.html#afc02b4436bf473d33764edd15a0882d6",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemLock.html#a1c9c530c73f11c38a34295aa4b73c421",
"classzypp_1_1target_1_1RpmPostTransCollector_1_1Impl.html#ac055c2e22c433f05ca0617ea02337846",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#a39838b3ad857e50c22c741ff5ef4aa37",
"classzypp_1_1ui_1_1Selectable.html#ac8d7e7ee7474a5846cb8ecf83fa54455",
"classzypp_1_1xml_1_1ParseDefConsumeRedirect.html#a8f3a734ad995175e6629a7dd1ab48ac1",
"functions_vars_v.html",
"group__g__BackenSpecific.html",
"pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl",
"structzypp_1_1Dep.html#a3f05026c78b91b65eb83d1e800c29dfba4c02c3b3b99f2354bcb7dd2288e05d55",
"structzypp_1_1KeyRing_1_1Impl.html#a6b8121f7b5427246e5ef67c069ac6502",
"structzypp_1_1PublicKey_1_1Impl.html#ac8a9b81326acdbf25d271466911710fb",
"structzypp_1_1RepoManager_1_1Impl.html#af6c44f580eed215cc3435e2d44ad86d1",
"structzypp_1_1base_1_1SetTracker.html#a4e2606b3a22488e13c51e4d515bce719",
"structzypp_1_1functor_1_1Not.html#a528661dcde6fa091cead4acf0e4aee85",
"structzypp_1_1misc_1_1testcase_1_1LoadTestcase_1_1Impl.html",
"structzypp_1_1repo_1_1RepoReport.html#a613e8e28e9eeaedfbf84918f8c2ca428a4be3bacfe645091ac948182bee96d057",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#ab5219298de79e2bebc4ac56a5b6e67d8",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a4a3301cc702116b5170f83582f8af79e",
"zypp-plugins.html#plugin-protocol-stateless"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';